using System;
using System.Collections;
using System.Collections.Generic;
using BITKit.WorldNode;
#if UNITY_5_3_OR_NEWER
using UnityEngine;
#endif


namespace Net.Project.B.WorldNode
{
    [Serializable]
    public class UnityElevatorNode : IWorldNode
    {
#if UNITY_5_3_OR_NEWER
        [SerializeField] private GameObject[] floors;
        [SerializeField] private GameObject[] floorButtons;
        [SerializeField] private Rigidbody platform;
        public Rigidbody Platform => platform;
        public readonly Dictionary<int, (GameObject floor, GameObject button)> Floors = new();
        public void Initialize()
        {
            for (var index = 0; index < floors.Length; index++)
            {
                var floor = floors[index];
            }
        }
#endif
    }

}
